# h5netcdf.legacyapi.Dataset.createDimension

Dataset.createDimension(name, size)

  Creates a new dimension with given name and size.

  Parameters:

    - name (`str`) – Dimension name

    - size (`int`, `None`) – size must be a positive integer or None (unlimited). Specifying size=0 results in an unlimited dimension too.

  Returns:

    dim (`h5netcdf.legacyapi.Dimension`) – Dimension class instance.

previous

h5netcdf.legacyapi.Dataset.createGroup

next

h5netcdf.legacyapi.Dataset.createVariable